.\" Man page generated from reStructuredText.
.
.TH PRISTINE-LFS 1 "2019-06-26" "20190626.0" "Git"
.SH NAME
pristine-lfs \- store pristine tarballs in Git LFS
.
.nr rst2man-indent-level 0
.
.de1 rstReportMargin
\\$1 \\n[an-margin]
level \\n[rst2man-indent-level]
level margin: \\n[rst2man-indent\\n[rst2man-indent-level]]
-
\\n[rst2man-indent0]
\\n[rst2man-indent1]
\\n[rst2man-indent2]
..
.de1 INDENT
.\" .rstReportMargin pre:
. RS \\$1
. nr rst2man-indent\\n[rst2man-indent-level] \\n[an-margin]
. nr rst2man-indent-level +1
.\" .rstReportMargin post:
..
.de UNINDENT
. RE
.\" indent \\n[an-margin]
.\" old: \\n[rst2man-indent\\n[rst2man-indent-level]]
.nr rst2man-indent-level -1
.\" new: \\n[rst2man-indent\\n[rst2man-indent-level]]
.in \\n[rst2man-indent\\n[rst2man-indent-level]]u
..
.SH SYNOPSIS
.sp
\fBpristine\-lfs\fP [\-h]
.sp
\fBpristine\-lfs\fP [OPTIONS] \fBcommit\fP [OPTIONS] \fItarball\fP [\fIupstream\fP]
.sp
\fBpristine\-lfs\fP [OPTIONS] \fBcheckout\fP \fItarball\fP [\fIoutdir\fP]
.sp
\fBpristine\-lfs\fP [OPTIONS] \fBlist\fP \fItarball\fP
.SH DESCRIPTION
.sp
pristine\-lfs can store pristine upstream tarballs in Git leveraging Git LFS. Instead of storing the potentially large tarballs within the Git repository as blobs, Git LFS only stores specially prepared metadata in the repository, while storing the actual file contents out of band on a Git LFS server.
.sp
Using pristine\-lfs allows Debian packages to be built entirely using sources in version control, without the need to keep copies of upstream tarballs.
.sp
pristine\-lfs supports tarballs compressed with gzip, bzip2, lzma and xz.
.sp
Tarball signatures (any files ending with \fI\&.asc\fP) are committed as they are, without utilising the Git LFS mechanisms.
.SH COMMANDS
.INDENT 0.0
.TP
.B \fBpristine\-lfs commit\fP [\-b \fIBRANCH\fP] [\-m \fIMESSAGE\fP] \fItarball\fP [\fIupstream\fP]
\fBpristine\-lfs commit\fP stores the specified \fItarball\fP using Git LFS, and commits its metadata to version control.
The \fBpristine\-lfs checkout\fP command can later be used to recreate the original tarball based on the information
stored in Git LFS. The data are not submitted to the server until \fBgit push\fP command is issued.
.sp
The \fIupstream\fP parameter is ignored and is supported for compatibility with \fBpristine\-tar\fP\&.
.sp
If tarball already exists previously, it will only be overwritten if it does not match a hash of the tarball that has been committed to version control.
.TP
.B \fBpristine\-lfs import\-dsc\fP [\-b \fIBRANCH\fP] [\-m \fIMESSAGE\fP] \fIpath\-to\-dsc\fP
Import tarballs and their signatures from a \fI\&.dsc\fP file of a Debian source package.
.TP
.B \fBpristine\-lfs checkout\fP [\-b \fIBRANCH\fP] \fItarball\fP [\fIoutdir\fP]
This regenerates a copy of the specified tarball using information previously saved in version control by \fBpristine\-lfs commit\fP\&.
.sp
By default, the tarball is placed in the current directory. If \fIoutdir\fP is specified, the file is created in that directory.
.TP
.B \fBpristine\-lfs list\fP [\-b \fIBRANCH\fP]
This lists tarballs that pristine\-lfs is able to checkout from version control.
.UNINDENT
.SH OPTIONS
.INDENT 0.0
.TP
.BI \-m \ MESSAGE\fP,\fB \ \-\-message\fB= MESSAGE
Use the given \fIMESSAGE\fP as the commit message for the metadate commits. Applies to \fBcommit\fP and \fBimport\-dsc\fP commands. \fI%s\fP in the commit message is replaced by a comma\-separated list of files committed.
.TP
.BI \-b \ BRANCH\fP,\fB \ \-\-branch \ BRANCH
Branch to store Git LFS metadata on.
.TP
.B \-v\fP,\fB  \-\-verbose
Be more verbose.
.TP
.B \-\-debug
Show all sorts of debugging information. Implies \fB\-\-verbose\fP\&.
.TP
.B \-h
Show this help message and exit.
.UNINDENT
.SH ENVIRONMENT
.INDENT 0.0
.TP
.B \fBTMPDIR\fP
Specifies a location to place temporary files, other than the default.
.UNINDENT
.SH SEE ALSO
.sp
\fBgit\-lfs\fP(1), \fBpristine\-tar\fP(1)
.SH AUTHOR
Andrej Shadura <andrew.shadura@collabora.co.uk>
.\" Generated by docutils manpage writer.
.
